## inspircd 1.1.18+dfsg

=== src/modes/Makefile ===
CC = i am cornholio
CXXFLAGS = -I../../include ${FLAGS}

all: umode_w.o umode_s.o umode_o.o umode_n.o umode_i.o cmode_v.o cmode_t.o cmode_s.o cmode_p.o cmode_o.o cmode_n.o cmode_m.o cmode_l.o cmode_k.o cmode_i.o cmode_h.o cmode_b.o modeclasses.a

umode_w.o: umode_w.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c umode_w.cpp

umode_s.o: umode_s.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c umode_s.cpp

umode_o.o: umode_o.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c umode_o.cpp

umode_n.o: umode_n.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c umode_n.cpp

umode_i.o: umode_i.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c umode_i.cpp

cmode_v.o: cmode_v.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_v.cpp

cmode_t.o: cmode_t.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_t.cpp

cmode_s.o: cmode_s.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_s.cpp

cmode_p.o: cmode_p.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_p.cpp

cmode_o.o: cmode_o.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_o.cpp

cmode_n.o: cmode_n.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_n.cpp

cmode_m.o: cmode_m.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_m.cpp

cmode_l.o: cmode_l.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_l.cpp

cmode_k.o: cmode_k.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_k.cpp

cmode_i.o: cmode_i.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_i.cpp

cmode_h.o: cmode_h.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_h.cpp

cmode_b.o: cmode_b.cpp ../../include/base.h ../../include/modules.h ../../include/inspircd.h ../../include/channels.h ../../include/users.h ../../include/inspircd_config.h ../../include/mode.h
	$(CC) -pipe -I../../include $(FLAGS) -export-dynamic -c cmode_b.cpp

modeclasses.a: umode_w.o umode_s.o umode_o.o umode_n.o umode_i.o cmode_v.o cmode_t.o cmode_s.o cmode_p.o cmode_o.o cmode_n.o cmode_m.o cmode_l.o cmode_k.o cmode_i.o cmode_h.o cmode_b.o
	@-rm -rf modeclasses.a
	ar r modeclasses.a *.o
	ranlib modeclasses.a

clean:
	@-rm *.o
	@-rm modeclasses.a

## inspircd 1.1.22+dfsg

=== debian/changelog ===
inspircd (1.1.22+dfsg-4+squeeze3) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Debian LTS team
  * Convert to 3.0 (quilt) format
  * Reject replies to DNS PTR requests that contain invalid characters
    (CVE-2015-8702)
  * Remove broken libc version check (Closes: #668253)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 13 Jan 2016 09:52:46 +0000

inspircd (1.1.22+dfsg-4+squeeze2) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * CVE-2012-1836 was partially fixed. Update 05_CVE-2012-1836.dpatch by
    importing 2.0.7 src/dns.cpp changes.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 18 Jul 2015 21:34:06 +0200

inspircd (1.1.22+dfsg-4+squeeze1) stable-security; urgency=low

  * Non-maintainer upload.
  * Protect against a buffer overflow in src/dns.cpp
    Closes: #667914 CVE-2012-1836

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 07 Apr 2012 23:17:18 +0100

inspircd (1.1.22+dfsg-4) unstable; urgency=low

  [ Matt Arnold ]
  * 03_use_pkg-config_gnutls.dpatch fix gnutls ftbfs Closes: 529823.
  * Add pkg-config to build-depends
  * Bump standards version no change
  * 04_gcc44_fixes.dpatch fix ftbfs on GCC 4.4 Closes: #505368
    -- Patch thanks Martin Michlmayr

  [ Bradley Smith ]
  * Change section of inspircd-dbg to debug.
  * Upgrade compat version to 7 and upgrade debhelper build-depends.
  * Move dh_clean -k to dh_prep.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 22 Jun 2009 19:00:02 +0100

inspircd (1.1.22+dfsg-3) unstable; urgency=low

  * 02_fix_gnutls_config.dpatch - Fix configure script so GnuTLS module is
    built. Closes: #510748.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 04 Jan 2009 19:00:13 +0000

inspircd (1.1.22+dfsg-2) unstable; urgency=low

  * 01_fix_config_reload.dpatch - Fix crash on config reload.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 15 Dec 2008 20:23:01 +0000

inspircd (1.1.22+dfsg-1) unstable; urgency=low

  [ Matt Arnold ]
  * New upstream release.
  * Remove nenolod from Uploaders as requested.
  * Merge with upstream discontinue our patch series 02, 03.
  * Upstream change to staticlly linked core. Closes: #506862.

  [ Bradley Smith ]
  * Add myself to uploaders.
  * Misc whitespace fixes.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 03 Dec 2008 17:05:27 +0000

inspircd (1.1.21+dfsg-1) unstable; urgency=low

  * New upstream release
    - Upstream reported buffer overrun

 -- Matt Arnold <mattarnold5@gmail.com>  Sat, 13 Sep 2008 14:11:16 -0400

inspircd (1.1.20+dfsg-1) unstable; urgency=low

  * New upstream release
  * add debian/README.source and 'source' target in debian/rules
  * changed debian policy to 3.8.0

 -- Giacomo Catenazzi <cate@debian.org>  Thu, 03 Jul 2008 09:02:48 +0200

inspircd (1.1.19+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Darren Blaber <dmbtech@gmail.com>  Mon, 21 Apr 2008 12:51:01 -0500

inspircd (1.1.18+dfsg-1) unstable; urgency=medium

  * New stable upstream version, solve CVE-2008-1925

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 01 Apr 2008 08:57:37 +0200

inspircd (1.1.17+dfsg-2) unstable; urgency=low

  [ Giacomo Catenazzi ]
  * init.d script: cleanup (remove bashism, add cron target, remove sleep,
    remove unused exit)
  * add debian/inspircd.logrotate, and remore logs on purge

 -- Giacomo Catenazzi <cate@debian.org>  Fri, 28 Mar 2008 08:02:56 +0100

inspircd (1.1.17+dfsg-1) unstable; urgency=low

  [ Darren Blaber ]
  * New upstream release, fix /etc/init.d/inspircd stop.
  * Fix the postrm script so there is no duplicate update-rc.d
  * Fix the manpage so there are no more errors in it

  [ Matt Arnold ]
  *  Fix prerm so it works (Closes: #466924)

  [ Giacomo Catenazzi ]
  * Added me as uploader
  * Add again support of dpatch in debian/rules
  * Build sources only once!
  * Correct make clean target, not to include generated ./inspircd on sources
  * Don't change permission of configuration files, when starting inspircd
    (separation of policy and program).

 -- Giacomo Catenazzi <cate@debian.org>  Thu, 06 Mar 2008 07:56:47 +0100

inspircd (1.1.16+dfsg-1) unstable; urgency=low

  [ William Pitcock ]
  * New upstream release.
    - Upstream has new --disable-rpath feature, dropped patch series.
    - debian/rules: use --disable-rpath

  [ Matt Arnold ]
  * Add prerm script to stop ircd before removal

 -- Matt Arnold <mattarnold5@gmail.com>  Thu, 17 Jan 2008 11:21:17 -0500

inspircd (1.1.15+dfsg-1) unstable; urgency=low

  [ Mario Iseli ]
  * Initial release (Closes: #429317)

  [ William Pitcock ]
  * Prepare for uploading to unstable since Mario is on
    vacation until 2008.

  [ Darren Blaber ]
  * Repackaged upstream tarball without non-free components (rfcs were removed)

 -- Darren Blaber <dmbtech@gmail.com>  Thu, 20 Dec 2007 00:11:48 -0500

=== debian/control ===
# $Id: control 240 2009-06-22 18:01:02Z bradsmith $

Source: inspircd
Section: net
Priority: optional
Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
Uploaders: Darren Blaber <dmbtech@gmail.com>,
  Mario Iseli <mario@debian.org>,
  Matt Arnold <mattarnold5@gmail.com>,
  Giacomo Catenazzi <cate@debian.org>,
  Bradley Smith <bradsmith@debian.org>
Build-Depends: debhelper (>= 7), perl-modules, libgnutls-dev, pkg-config
Standards-Version: 3.8.2
Homepage: http://www.inspircd.org/
Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd/trunk/

Package: inspircd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ircd
Description: Modular IRCd written in C++
 InspIRCd is a modular C++ IRC Daemon for several operating systems created
 to provide a stable, modern, lightweight irc server from scratch and provide
 a vast number of features in a modularised form using an advanced module API.
 By keeping the functionality of the main core to a minimum, the server is very
 stable, fast and customizable.
 .
 This package contains the daemon.

Package: inspircd-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, inspircd
Priority: extra
Description: Modular IRCd written in C++ - debugging symbols
 InspIRCd is a modular C++ IRC Daemon for several operating systems created
 to provide a stable, modern, lightweight irc server from scratch and provide
 a vast number of features in a modularised form using an advanced module API.
 By keeping the functionality of the main core to a minimum, the server is very
 stable, fast and customizable.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 240 2009-06-22 18:01:02Z bradsmith $

export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(DEB_HOST_ARCH_OS), linux)
    SOCKET_ENGINE=--enable-epoll
else ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    SOCKET_ENGINE=--enable-kqueue
else ifeq ($(DEB_HOST_ARCH_OS), solaris)
    SOCKET_ENGINE=--enable-ports
else
    SOCKET_ENGINE=--enable-poll
endif

build: build-stamp
build-stamp:
	dh_testdir
	./configure --disable-interactive --disable-rpath=1 \
		--enable-gnutls $(SOCKET_ENGINE) \
		--enable-ipv6 --prefix=/usr/lib/inspircd \
		--config-dir=/etc/inspircd \
		--module-dir=/usr/lib/inspircd/modules \
		--binary-dir=/usr/sbin \
		--library-dir=/usr/lib/inspircd
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Making distclean should remove the symlink, but it doesn't, so we do
	# it here
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf src/modules/m_ssl_gnutls.cpp
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Use 755 for correct permissions
	$(MAKE) INSTMODE=755 install DESTDIR=$(CURDIR)/debian/inspircd
	install -m 640 $(CURDIR)/debian/inspircd.default \
		$(CURDIR)/debian/inspircd/etc/default/inspircd
	rm -f $(CURDIR)/debian/inspircd/etc/inspircd/*
	install -o irc -m 640 $(CURDIR)/debian/inspircd.conf \
		$(CURDIR)/debian/inspircd/etc/inspircd/inspircd.conf
	install -o irc -m 644 $(CURDIR)/debian/inspircd.motd \
		$(CURDIR)/debian/inspircd/etc/inspircd/motd
	install -o irc -m 644 $(CURDIR)/debian/inspircd.rules \
		$(CURDIR)/debian/inspircd/etc/inspircd/rules

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_installinit
	dh_installman debian/inspircd.1
	dh_installlogrotate
	dh_link
	dh_strip --dbg-package=inspircd-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l/usr/lib/inspircd
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

source: clean
	rm -fr $(CURDIR)/docs/rfc/
	tar -C .. -zcf ../`dpkg-parsechangelog | sed -n '/Source:/ N; s/Source: \(.*\)\nVersion: \(.*:\|\)\(.*\)-[0-9][0-9]*$$/\1_\3/ p'`.orig.tar.gz --exclude=`basename $(CURDIR)`/debian `basename $(CURDIR)`

.PHONY: binary clean binary-indep binary-arch build install source

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://sf.net/inspircd/InspIRCd-([\d\.]+)\.tar\.bz2

## inspircd 2.0.5

=== debian/changelog ===
inspircd (2.0.5-1) unstable; urgency=low

  * debian/patches/04_FTBFS_kfreebsd.diff: Fix FTBFS on kfreebsd,
    thanks Christoph Egger (Closes: #668689)
  * debian/patches/05_FTBFS_gcc-4.7.diff: Fix FTBFS with gcc-4.7,
    include <unistd.h>
  * debian/watch: Update to github since upstream has moved the project

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 15 Apr 2012 17:35:01 +0200

inspircd (2.0.5-0.1) unstable; urgency=low

  [ Guillaume Delacour ]
  * Add myself to uploaders.
  * Remove Mario Iseli to uploaders (officially MIA)
  * New upstream release (Closes: #545233, #519910, #620960, #641299)
  * debian/rules:
    + Use hardening build options (DEB_BUILD_HARDENING)
    + Use debhelper 8 template
    + Delete unrecognized option "disable-rpath" on configure
    + Add support for all DFSG extra modules
      (mysql, sqlite, pgsql, ldap, pcre, geoip)
      (Closes: #539569)
    + Allow parallel build through DEB_BUILD_OPTIONS
    + Don't remove docs/rfc in upstream tarball as the files are not installed
  * debian/compat: Use debhelper version 8
  * debian/control:
    + Bump to Standards-Version 3.9.2 (no changes needed)
    + Switch to dpkg-source 3.0 (quilt) format and drop dpatch Build-Depends
    + Build-Depend on extra modules libraries: libldap2-dev, libpcre3-dev, 
      libmysqlclient-dev, libpq-dev, libsqlite3-dev, libssl-dev, zlib1g-dev, 
      libgeoip-dev, libtre-dev and split to 80 columns
    + Build-Depends on hardening-wrapper
    + Build-Depends on debhelper >= 8.0.0
    + Depends on lsb-base (debian/inspircd.init)
    + Suggests sqlite3, mysql-server, ldap-server, postgresql, gnutls-bin
    + Remove ${shlibs:Depends} and add (= ${binary:Version}) for debugging 
      symbols package
    + Change Vcs-{Svn,Browser}, point to inspircd2 repository
  * debian/patches:
    - 01_fix_config_reload.dpatch: drop old upstream patch
    - 02_fix_gnutls_config.dpatch: drop old upstream patch
    - 03_use_pkg-config_gnutls.dpatch: drop old upstream patch
    - 04_gcc44_fixes.dpatch: drop old upstream patch
    + 01_spelling_error.diff: fix some spelling errors in modules
    + 02_disable_rpath_for_extra_modules.diff: disable rpath for modules
  * debian/inspircd.examples:
    + Upstream examples files are now in docs/
    + Provide upstream databases schemas examples
  * debian/inspircd.init:
    + Source /lib/lsb/init-functions and add status parameter
    + Add dependency on $remote_fs in Required-St{art,op}
    + Modify IRCDARGS to load /etc/inspircd/inspircd.conf
    + Delete unnecessary spaces
  * debian/README.Debian: Delete unnecessary spaces
  * debian/inspircd.install: Copy configuration files to the right place
  * debian/inspircd.1:
    + Fix path of configuration file
    + Delete unnecessary spaces
  * debian/watch: update url to project website (SF not up2date)
  * debian/README.source: use quilt to patch
  * debian/inspircd.postrm: Don't remove /etc/inspircd as it may contains
    locally added files
  * debian/inspircd.conf: Update proposed default configuration due to
    upstream changes (tags security, performance and log), line break to 80
    and load absolute path for /etc/inspircd/inspircd.{motd,rules}

  [ Jonathan Wiltshire ]
  * Non-maintainer upload.
    This is really sponsorship with an added patch, but technically still 
    an NMU.
  * Patch 03_CVE-2012-1836: protect against buffer overflow vulnerability
    in src/dns.cpp (merge from upstream)
    Closes: #667914 CVE-2012-1836

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 07 Apr 2012 22:25:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
-# $Id: control 240 2009-06-22 18:01:02Z bradsmith $
-
+# $Id: control 267 2010-11-30 11:38:09Z kcd-guest $
 Source: inspircd
 Section: net
 Priority: optional
@@ -8,16 +7,21 @@
   Mario Iseli <mario@debian.org>,
   Matt Arnold <mattarnold5@gmail.com>,
   Giacomo Catenazzi <cate@debian.org>,
-  Bradley Smith <bradsmith@debian.org>
-Build-Depends: debhelper (>= 7), perl-modules, libgnutls-dev, pkg-config
-Standards-Version: 3.8.2
+  Bradley Smith <bradsmith@debian.org>,
+  Guillaume Delacour <gui@iroqwa.org>
+Build-Depends: debhelper (>= 8.0.0), perl-modules, libgnutls-dev, pkg-config,
+               libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
+               libsqlite3-dev, libssl-dev, zlib1g-dev, libgeoip-dev,
+               libtre-dev, hardening-wrapper
+Standards-Version: 3.9.2
 Homepage: http://www.inspircd.org/
-Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd/trunk/
+Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd2/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd2/trunk/
 
 Package: inspircd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Suggests: sqlite3, mysql-server, ldap-server, postgresql, gnutls-bin
 Provides: ircd
 Description: Modular IRCd written in C++
  InspIRCd is a modular C++ IRC Daemon for several operating systems created
@@ -31,7 +35,7 @@
 Package: inspircd-dbg
 Architecture: any
 Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends}, inspircd
+Depends: ${misc:Depends}, inspircd (= ${binary:Version})
 Priority: extra
 Description: Modular IRCd written in C++ - debugging symbols
  InspIRCd is a modular C++ IRC Daemon for several operating systems created

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options at build time
export DEB_BUILD_HARDENING=1

# use DEB_BUILD_OPTIONS="parallel=n" to parallelize the build
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

# modules selection
LDAP_MODULES      = m_ldapauth.cpp,m_ldapoper.cpp
DATABASES_MODULES = $(LDAP_MODULES),m_mysql.cpp,m_pgsql.cpp,m_sqlite3.cpp
REGEX_MODULES     = m_regex_pcre.cpp,m_regex_posix.cpp,m_regex_tre.cpp
OTHER_MODULES     = $(REGEX_MODULES),m_geoip.cpp
SSL_MODULE        = m_ssl_gnutls.cpp
INSPIRCD_MODULES  = $(SSL_MODULE),$(DATABASES_MODULES),$(OTHER_MODULES)

override_dh_auto_configure:
	# Enable extra modules
	./configure --enable-extras=$(INSPIRCD_MODULES)

	# Really launch configure
	./configure --disable-interactive \
		--enable-gnutls \
		--prefix=/usr/lib/inspircd \
		--config-dir=/etc/inspircd \
		--module-dir=/usr/lib/inspircd/modules \
		--binary-dir=/usr/sbin

# allow parallel build
override_dh_auto_build:
	dh_auto_build --parallel

# install
override_dh_auto_install:
	dh_auto_install -- install DESTDIR=$(CURDIR)/debian/inspircd

	# Delete example files (already in /usr/share/doc/inspircd/examples)
	rm -f $(CURDIR)/debian/inspircd/etc/inspircd/*.example

	# delete empty data and log dir
	rmdir $(CURDIR)/debian/inspircd/usr/lib/inspircd/data \
	$(CURDIR)/debian/inspircd/usr/lib/inspircd/logs

# debugging symbols package
override_dh_strip:
	dh_strip --dbg-package=inspircd-dbg

override_dh_auto_clean:
	# call distclean instead of clean
	dh_auto_clean -- distclean

	# Delete symlinks to extra modules
	find $(CURDIR)/src/modules/ -type l -exec rm '{}' \;

	# Remove generated binary
	rm -f $(CURDIR)/inspircd

%:
	dh $@

## inspircd 2.0.16

=== win/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(InspIRCd CXX)

set(CONF_PATH "conf" CACHE PATH "Configuration file path")
set(MODULE_PATH "modules" CACHE PATH "Module path")
set(DATA_PATH "data" CACHE PATH "Data path")
set(LOG_PATH "logs" CACHE PATH "Log file path")

set(EXTRA_INCLUDES "" CACHE PATH "Extra include paths")
set(EXTRA_LIBS "" CACHE PATH "Extra library paths")

set(INSPIRCD_BASE "${CMAKE_CURRENT_SOURCE_DIR}/../")

# Use our own NSIS template
set(CMAKE_MODULE_PATH "${INSPIRCD_BASE}/win")

# Grab version info from version.sh
file(STRINGS "${INSPIRCD_BASE}/src/version.sh" VERSIONSH)
string(REGEX REPLACE ".*InspIRCd-([0-9]*).*" "\\1" MAJOR_VERSION "${VERSIONSH}")
string(REGEX REPLACE ".*InspIRCd-[0-9]*\\.([0-9]*).*" "\\1" MINOR_VERSION "${VERSIONSH}")
string(REGEX REPLACE ".*InspIRCd-[0-9]*\\.[0-9]*\\.([0-9]*).*" "\\1" PATCH_VERSION "${VERSIONSH}")
set(FULL_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")

if(MSVC)
	# Without /SAFESEH:NO old libraries compiled with VS 2010 or older won't link correctly to VS2012 (eg, extra module libs)
	set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} /SAFESEH:NO")
	set(CMAKE_EXE_LINKER_FLAGS_MINSIZEREL "${CMAKE_EXE_LINKER_FLAGS_MINSIZEREL} /SAFESEH:NO")
	set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /SAFESEH:NO")
	set(CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO "${CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO} /SAFESEH:NO")
	set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /SAFESEH:NO")
	set(CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL "${CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL} /SAFESEH:NO")
	set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /SAFESEH:NO")
	set(CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO "${CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO} /SAFESEH:NO")
	set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "${CMAKE_MODULE_LINKER_FLAGS_DEBUG} /SAFESEH:NO")
	set(CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL "${CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL} /SAFESEH:NO")
	set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /SAFESEH:NO")
	set(CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO "${CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO} /SAFESEH:NO")
endif(MSVC)

file(GLOB INSPIRCD_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
"${INSPIRCD_BASE}/win/inspircd_win32wrapper.cpp"
"${INSPIRCD_BASE}/win/win32service.cpp" "${INSPIRCD_BASE}/src/*.cpp"
"${INSPIRCD_BASE}/src/modes/*.cpp"
"${INSPIRCD_BASE}/src/socketengines/socketengine_select.cpp"
"${INSPIRCD_BASE}/src/threadengines/threadengine_win32.cpp")
list(SORT INSPIRCD_SOURCES)

include_directories("${INSPIRCD_BASE}/win" "${INSPIRCD_BASE}/include")

include_directories(${EXTRA_INCLUDES})
link_directories(${EXTRA_LIBS})

if(MSVC)
	add_library(win32_memory STATIC "${INSPIRCD_BASE}/win/inspircd_memory_functions.cpp")
endif(MSVC)

configure_file("${INSPIRCD_BASE}/win/inspircd.rc.cmake" "${INSPIRCD_BASE}/win/inspircd.rc")
configure_file("${INSPIRCD_BASE}/win/inspircd_version.h.cmake" "${INSPIRCD_BASE}/win/inspircd_version.h")
configure_file("${INSPIRCD_BASE}/win/inspircd_config.h.cmake" "${INSPIRCD_BASE}/win/inspircd_config.h")

add_executable(inspircd ${INSPIRCD_SOURCES} "${INSPIRCD_BASE}/win/inspircd.rc")
target_link_libraries(inspircd win32_memory)
set_target_properties(inspircd PROPERTIES ENABLE_EXPORTS ON)
install(TARGETS inspircd DESTINATION .)

add_subdirectory(modules)

# Package any DLLs in win/
file(GLOB EXTRA_DLLS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${INSPIRCD_BASE}/win/*.dll")
install(FILES ${EXTRA_DLLS} DESTINATION .)

# Install example configs
file(GLOB_RECURSE EXAMPLE_CONFIGS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${INSPIRCD_BASE}/docs/conf/*.example")
install(FILES ${EXAMPLE_CONFIGS} DESTINATION conf)

# Create an empty data and logs directory and install them
file(MAKE_DIRECTORY ${DATA_PATH})
install(DIRECTORY ${DATA_PATH} DESTINATION .)
file(MAKE_DIRECTORY ${LOG_PATH})
install(DIRECTORY ${LOG_PATH} DESTINATION .)

if(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
	include(InstallRequiredSystemLibraries)

	set(CPACK_PACKAGE_NAME "InspIRCd IRC Daemon")
	set(CPACK_PACKAGE_VENDOR "InspIRCd Development Team")
	set(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
	set(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION})
	set(CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
	set(CPACK_PACKAGE_FILE_NAME "InspIRCd-${FULL_VERSION}")
	set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/../docs/COPYING")

	set(CPACK_GENERATOR "NSIS")
	set(CPACK_PACKAGE_INSTALL_DIRECTORY "InspIRCd")
	# NSIS has a bug with full nix paths, so this must contain at least one backslash
	set(CPACK_PACKAGE_ICON "${INSPIRCD_BASE}/win\\\\inspircd.ico")
	set(CPACK_NSIS_MUI_ICON "${INSPIRCD_BASE}/win\\\\inspircd.ico")
	set(CPACK_NSIS_MUI_UNIICON "${INSPIRCD_BASE}/win\\\\inspircd.ico")
	set(CPACK_NSIS_INSTALLED_ICON_NAME "inspircd.exe")
	set(CPACK_NSIS_URL_INFO_ABOUT "http://www.inspircd.org/")
	set(CPACK_NSIS_COMPRESSOR "/SOLID lzma")

	include(CPack)
endif(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

=== debian/changelog ===
inspircd (2.0.16-2) unstable; urgency=medium

  * To re-enable hardening flags:
    + Replace DEB_BUILD_HARDENING by DEB_BUILD_MAINT_OPTIONS to enable
      dpkg-buildflags without pie
    + debian/patches/01_dpkg-buildflags_support.diff: Patch upstream Makefile
      template to use CPPFLAGS and custom LDFLAGS, CXXFLAGS; enable PIE on
      inspircd binary only as libraries already compiled with PIC

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 20 Jul 2014 23:23:42 +0200

inspircd (2.0.16-1) unstable; urgency=low

  [ Guillaume Delacour ]
  * New upstream release (Closes: #724874), enable m_regex_stdlib new module
    and repack tarball to remove docs/rfc/{rfc1035.txt,rfc1413.txt,rfc1459.txt}
    as i re-introduce them a few years ago. Upstream removes dir at 7fea7c24c5
  * Drop patches accepted upstream:
    + debian/patches/01_spelling_error.diff
    + debian/patches/03_CVE-2012-1836.diff (cherry-picked)
    + debian/patches/04_FTBFS_kfreebsd.diff
    + debian/patches/05_FTBFS_gcc-4.7.diff
  * debian/docs: docs/README has moved to README.md
  * debian/inspircd.examples: examples are now in docs/conf
  * Bump debhelper compat to 9
  * Remove Bradley Smith as uploaders (Closes: #674890)
  * debian/watch: update based on sepwatch
  * Add systemd support:
    + Build-Depends on dh-systemd (>= 1.5)
    + Add debian/inspircd.service, debian/inspircd.tmpfile to create
      /run/inspircd directory at boot time
    + debian/rules: call generic dh with "--with systemd"
  * debian/control:
    + Change Vcs-{Svn,Browser}, point to anonscm.debian.org and
    bump to Standards-Version 3.9.5 (no changes needed)
    + Drop Build-Depends on hardening-wrapper since dpkg-buildflags now
    returns hardening build flags by default (already enabled in debian/rules)
  * debian/patches/02_disable_rpath_for_extra_modules.diff: Refresh according
    upstream modules changes
  * debian/copyright: make it machine-readable
  * debian/rules: compile binary with debuginfo as upstream don't
    generate it by default; dh_strip overrided to generate a -dbg package

  [ Andreas Metzler ]
  * Build with debug symbols and optimization by using "make D=2 all" instead
    of "make debug"; dh_strip overrided to generate a -dbg package
  * 05_gnutls_crypt_api_instead_gcrypt.diff Apply/unfuzz upstream's
    690c372f6ef246b43b477e3685c8e716431427ad to get rid of the dependency on
    libgcrypt.
  * Build against gnutls v3. Closes: #745948
  * Show compiler commandline when building. As a nice side effect this
    actually lets ccache speed up the build.
  * Drop PIDFile entry from systemd service file, it should not be necessary
    for the non-forking case.
  * Mimic init-file trickery in inspircd.tmpfile. Pre-generate both pidfile
    and logfile with correct user/permissions. The daemon cannot do so, since
    it is lacking write permissions in /var/run and /var/log. Remove pidfile
    in postrm purge.

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 16 Jul 2014 21:49:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# hardening options at build time
-export DEB_BUILD_HARDENING=1
+# hardening options at build time, without PIE enabled globally
+# enable PIE on inspircd binary only in upstream build system
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 # use DEB_BUILD_OPTIONS="parallel=n" to parallelize the build
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -13,7 +14,7 @@
 # modules selection
 LDAP_MODULES      = m_ldapauth.cpp,m_ldapoper.cpp
 DATABASES_MODULES = $(LDAP_MODULES),m_mysql.cpp,m_pgsql.cpp,m_sqlite3.cpp
-REGEX_MODULES     = m_regex_pcre.cpp,m_regex_posix.cpp,m_regex_tre.cpp
+REGEX_MODULES     = m_regex_pcre.cpp,m_regex_posix.cpp,m_regex_tre.cpp,m_regex_stdlib.cpp
 OTHER_MODULES     = $(REGEX_MODULES),m_geoip.cpp
 SSL_MODULE        = m_ssl_gnutls.cpp
 INSPIRCD_MODULES  = $(SSL_MODULE),$(DATABASES_MODULES),$(OTHER_MODULES)
@@ -32,14 +33,19 @@
 
 # allow parallel build
 override_dh_auto_build:
-	dh_auto_build --parallel
+	# compile binary with debuginfo and optimization (make D=2 all) as upstream
+	# don't generate symbols by default. dh_strip generate a -dbg package
+	# (see below)
+	# show compiler commandline when building,
+	# ccache can use it to speed the build (V=1)
+	dh_auto_build --parallel -- D=2 V=1 all
 
 # install
 override_dh_auto_install:
 	dh_auto_install -- install DESTDIR=$(CURDIR)/debian/inspircd
 
 	# Delete example files (already in /usr/share/doc/inspircd/examples)
-	rm -f $(CURDIR)/debian/inspircd/etc/inspircd/*.example
+	rm -rf $(CURDIR)/debian/inspircd/etc/inspircd/examples
 
 	# delete empty data and log dir
 	rmdir $(CURDIR)/debian/inspircd/usr/lib/inspircd/data \
@@ -60,4 +66,4 @@
 	rm -f $(CURDIR)/inspircd
 
 %:
-	dh $@
+	dh $@ --with systemd

## inspircd 2.0.17

=== debian/changelog ===
inspircd (2.0.17-1+deb8u2) jessie-security; urgency=high

  * m_sasl: don't allow AUTHENTICATE with mechanisms with a space
    (CVE-2016-7142)

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 06 Sep 2016 01:58:19 +0200

inspircd (2.0.17-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * Reject replies to DNS PTR requests that contain invalid characters
    (CVE-2015-8702)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Mar 2016 18:03:02 +0100

inspircd (2.0.17-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/patches/03_gnutls_crypt_api_instead_gcrypt.diff and
    cherry-pick upstream fix to use gnutls_rnd instead of gcry_randomize
  * Refresh debian/patches/02_disable_rpath_for_extra_modules.diff
   to only patch m_mysql as upstream use a DISABLE_RPATH environnement
   variable that disable rpath in all other modules

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 05 Sep 2014 18:05:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
   Giacomo Catenazzi <cate@debian.org>,
   Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
-Build-Depends: debhelper (>= 8.0.0), perl-modules, libgnutls-dev, pkg-config,
+Build-Depends: debhelper (>= 9.0.0), perl-modules, libgnutls28-dev, pkg-config,
                libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
-               libsqlite3-dev, libssl-dev, zlib1g-dev, libgeoip-dev,
-               libtre-dev, hardening-wrapper
-Standards-Version: 3.9.2
+               libsqlite3-dev, zlib1g-dev, libgeoip-dev,
+               libtre-dev, dh-systemd (>= 1.5)
+Standards-Version: 3.9.5
 Homepage: http://www.inspircd.org/
-Vcs-Svn: svn://svn.debian.org/pkg-irc/packages/inspircd2/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd2/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-irc/packages/inspircd2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-irc/packages/inspircd2/trunk/
 
 Package: inspircd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 override_dh_auto_configure:
 	# Enable extra modules
-	./configure --enable-extras=$(INSPIRCD_MODULES)
+	DISABLE_RPATH=yes ./configure --enable-extras=$(INSPIRCD_MODULES)
 
 	# Really launch configure
 	./configure --disable-interactive \

## inspircd 2.0.20

=== win/CMakeLists.txt ===
--- 
+++ 
@@ -99,7 +99,7 @@
 	set(CPACK_NSIS_MUI_UNIICON "${INSPIRCD_BASE}/win\\\\inspircd.ico")
 	set(CPACK_NSIS_INSTALLED_ICON_NAME "inspircd.exe")
 	set(CPACK_NSIS_URL_INFO_ABOUT "http://www.inspircd.org/")
-	set(CPACK_NSIS_COMPRESSOR "/SOLID lzma")
+	set(CPACK_NSIS_COMPRESSOR "/SOLID zlib")
 
 	include(CPack)
 endif(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

=== debian/changelog ===
inspircd (2.0.20-5build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:26:07 +0000

inspircd (2.0.20-5build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:50 +0000

inspircd (2.0.20-5) unstable; urgency=medium

  * Replace deprecated POSIX::tmpnam() call by File::Temp::tmpnam()
    because perl >= 5.22 deprecated it (Closes: #809008)

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 28 Dec 2015 16:22:59 +0100

inspircd (2.0.20-4) unstable; urgency=medium

  * Generate new inspircd-dev package to provide development headers in
    /usr/include/inspircd (Closes: #800650)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 11 Nov 2015 14:55:17 +0100

inspircd (2.0.20-3) unstable; urgency=medium

  * Fix FTBFS on kfreebsd which looks for clang++ by always defining CXX to
    g++ (unless already defined, let clang rebuilds) and pass it to configure
  * Tests:
    + debian/tests/control: needs root, enable inspircd and start inspircd
    before testing it
    + Remove XS-Testsuite control header (Testsuite automatically generated)

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 07 Jun 2015 12:26:46 +0200

inspircd (2.0.20-2) unstable; urgency=medium

  [ Guillaume Delacour ]
  * Reproducible builds:
    + 04_reproducible_builds.diff: Fix version don't set revision with unrelated
    git packaging tags and only use kernel name (no hostname or	release)
    + Set uid of irc user at configure time

  [ Matt Arnold ]
  * Add AppArmor profile, Thanks LaMont Jones (LP: #1456783)
  * Update my email address, previous is unusable due to spam

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 30 May 2015 15:53:33 +0200

inspircd (2.0.20-1) unstable; urgency=medium

  * New upstream release, drop 03_gnutls_crypt_api_instead_gcrypt.diff
  * 04_reproducible_builds.diff: Remove message containing __{DATE,TIME}__ to do
    reproducible builds and doesn't give such information to user
  * Bump to Standards-Version 3.9.6 (no changes needed)
  * Enable autopkgtest suite and provide minimal test client.pl
  * Change Vcs-{Browser,Git}, as the packaging have been migrated to git
  * Remove obsolete debian/README.source file

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 26 May 2015 20:54:00 +0200

inspircd (2.0.17-2) unstable; urgency=medium

  * Use an integer instead of seconds when calling sleep in initscript
    (Closes: #772337)

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 06 Dec 2014 16:08:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
-# $Id: control 267 2010-11-30 11:38:09Z kcd-guest $
 Source: inspircd
 Section: net
 Priority: optional
 Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
 Uploaders: Darren Blaber <dmbtech@gmail.com>,
   Mario Iseli <mario@debian.org>,
-  Matt Arnold <mattarnold5@gmail.com>,
+  Matt Arnold <adeodatus@sdf.org>,
   Giacomo Catenazzi <cate@debian.org>,
   Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9.0.0), perl-modules, libgnutls28-dev, pkg-config,
                libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
                libsqlite3-dev, zlib1g-dev, libgeoip-dev,
-               libtre-dev, dh-systemd (>= 1.5)
-Standards-Version: 3.9.5
+               libtre-dev, dh-systemd (>= 1.5), dh-apparmor
+Standards-Version: 3.9.6
 Homepage: http://www.inspircd.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-irc/packages/inspircd2/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-irc/packages/inspircd2/trunk/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/inspircd.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/inspircd.git
 
 Package: inspircd
 Architecture: any
@@ -45,3 +44,15 @@
  stable, fast and customizable.
  .
  This package contains the debugging symbols.
+
+Package: inspircd-dev
+Architecture: any
+Depends: ${misc:Depends}
+Description: Modular IRCd written in C++ - development headers
+ InspIRCd is a modular C++ IRC Daemon for several operating systems created
+ to provide a stable, modern, lightweight irc server from scratch and provide
+ a vast number of features in a modularised form using an advanced module API.
+ By keeping the functionality of the main core to a minimum, the server is very
+ stable, fast and customizable.
+ .
+ This package contains the development headers for developing modules.

## inspircd 2.0.21

=== debian/changelog ===
inspircd (2.0.21-1ubuntu1) yakkety; urgency=medium

  * Fix ldapauth when given PASS=user:pass  LP: #1428209
    + 10_fix_ldapauth_userpass.diff
  * ldapauth logging enhancements LP: #1437044
    + 15_ldapauth_logging.diff
  * Support logrotate, by reopening log files on rehash (SIGHUP)  LP: #1437030
    + 20_close-open-logs-on-rehash.diff

 -- LaMont Jones <lamont@canonical.com>  Fri, 06 May 2016 07:18:48 -0600

inspircd (2.0.21-1) unstable; urgency=medium

  * New upstream release, drop picked 05_posix-tmpnam.diff
  * Bump standards version, no changes needed
  * Change Vcs-{Browser,Git} to use https instead of http/git
  * Fix spelling-error-in-binary in m_spanningtree.so
  * Override lintian hardening fortify for cmd_time.so does not use
    fortify functions

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 28 Feb 2016 10:43:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: inspircd
 Section: net
 Priority: optional
-Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
 Uploaders: Darren Blaber <dmbtech@gmail.com>,
   Mario Iseli <mario@debian.org>,
   Matt Arnold <adeodatus@sdf.org>,
@@ -12,10 +13,10 @@
                libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
                libsqlite3-dev, zlib1g-dev, libgeoip-dev,
                libtre-dev, dh-systemd (>= 1.5), dh-apparmor
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.inspircd.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/inspircd.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/inspircd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/inspircd.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/inspircd.git
 
 Package: inspircd
 Architecture: any

## inspircd 2.0.23

=== win/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,10 @@
 file(GLOB_RECURSE EXAMPLE_CONFIGS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${INSPIRCD_BASE}/docs/conf/*.example")
 install(FILES ${EXAMPLE_CONFIGS} DESTINATION conf)
 
+# Install nationalchars files
+file(GLOB_RECURSE EXAMPLE_LOCALES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${INSPIRCD_BASE}/locales/*")
+install(FILES ${EXAMPLE_LOCALES} DESTINATION locales)
+
 # Create an empty data and logs directory and install them
 file(MAKE_DIRECTORY ${DATA_PATH})
 install(DIRECTORY ${DATA_PATH} DESTINATION .)

=== debian/changelog ===
inspircd (2.0.23-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + 10_fix_ldapauth_userpass.diff
    + 15_ldapauth_logging.diff
    + 20_close-open-logs-on-rehash.diff

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Dec 2016 08:57:15 +0100

inspircd (2.0.23-2) unstable; urgency=medium

  * Team upload
  * Switch to default-libmysqlclient-dev and default-mysql-server metapackage.
    Closes: #845855

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 12 Dec 2016 23:48:44 +0100

inspircd (2.0.23-1) unstable; urgency=medium

  * New upstream release, fixes a serious security vulnerability in m_sasl

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 06 Sep 2016 00:04:38 +0200

inspircd (2.0.22-1) unstable; urgency=medium

  * New upstream release, drop merged upstream 05_spelling_errors.diff
  * Build-Depend on perl instead of perl-modules
  * Set Documentation key to inspircd(1) for systemd unit file
  * Bump standards version, no changes needed

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 21 Aug 2016 18:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
   Giacomo Catenazzi <cate@debian.org>,
   Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
-Build-Depends: debhelper (>= 9.0.0), perl-modules, libgnutls28-dev, pkg-config,
-               libldap2-dev, libpcre3-dev, libmysqlclient-dev, libpq-dev,
+Build-Depends: debhelper (>= 9.0.0), perl, libgnutls28-dev, pkg-config,
+               libldap2-dev, libpcre3-dev, default-libmysqlclient-dev, libpq-dev,
                libsqlite3-dev, zlib1g-dev, libgeoip-dev,
                libtre-dev, dh-systemd (>= 1.5), dh-apparmor
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.inspircd.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/inspircd.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/inspircd.git
@@ -21,7 +21,7 @@
 Package: inspircd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
-Suggests: sqlite3, mysql-server, ldap-server, postgresql, gnutls-bin
+Suggests: sqlite3, default-mysql-server, ldap-server, postgresql, gnutls-bin
 Provides: ircd
 Description: Modular IRCd written in C++
  InspIRCd is a modular C++ IRC Daemon for several operating systems created

## inspircd 2.0.24

=== win/CMakeLists.txt ===
--- 
+++ 
@@ -85,6 +85,7 @@
 install(DIRECTORY ${LOG_PATH} DESTINATION .)
 
 if(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
+	set(CMAKE_INSTALL_SYSTEM_RUNTIME_DESTINATION ".") # place runtime libraries next to InspIRCd binary
 	include(InstallRequiredSystemLibraries)
 
 	set(CPACK_PACKAGE_NAME "InspIRCd IRC Daemon")

=== debian/changelog ===
inspircd (2.0.24-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + 15_ldapauth_logging.diff
    + 20_close-open-logs-on-rehash.diff
  * Drop changes included in new release:
    + 10_fix_ldapauth_userpass.diff

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Aug 2017 15:30:35 +0200

inspircd (2.0.24-1) unstable; urgency=high

  * Team upload
  * New upstream version 2.0.24. Closes: #853455
  * Fix filename in shipped MOTD file. Closes: #870851
  * Remove Darren Blaber from the uploaders list. Closes: #858652

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 10 Aug 2017 17:18:09 +0200

inspircd (2.0.23-3) UNRELEASED; urgency=medium

  * tests: Add alarm and respond to PING
  * debian/inspircd.conf: Don't log twice (Closes: #857758)
  * Remove Bradley Smith as uploader (Closes: #674890)

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 21 Mar 2017 23:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian IRC Team <pkg-irc-maintainers@lists.alioth.debian.org>
-Uploaders: Darren Blaber <dmbtech@gmail.com>,
-  Mario Iseli <mario@debian.org>,
+Uploaders: Mario Iseli <mario@debian.org>,
   Matt Arnold <adeodatus@sdf.org>,
   Giacomo Catenazzi <cate@debian.org>,
-  Bradley Smith <bradsmith@debian.org>,
   Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9.0.0), perl, libgnutls28-dev, pkg-config,
                libldap2-dev, libpcre3-dev, default-libmysqlclient-dev, libpq-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
+
+# upstream detect FreeBSD platforms and switch to clang++, force CXX to g++ if
+# undefined (possible to rebuild the package whith another compiler)
+CXX ?= g++
 
 # modules selection
 LDAP_MODULES      = m_ldapauth.cpp,m_ldapoper.cpp
@@ -25,6 +29,8 @@
 
 	# Really launch configure
 	./configure --disable-interactive \
+		--with-cc=$(CXX) \
+		--uid=$(shell id --user irc) \
 		--enable-gnutls \
 		--prefix=/usr/lib/inspircd \
 		--config-dir=/etc/inspircd \
@@ -50,6 +56,12 @@
 	# delete empty data and log dir
 	rmdir $(CURDIR)/debian/inspircd/usr/lib/inspircd/data \
 	$(CURDIR)/debian/inspircd/usr/lib/inspircd/logs
+	
+	# Add AppArmor profile
+	cp $(CURDIR)/debian/apparmor-profile \
+		$(CURDIR)/debian/inspircd/etc/apparmor.d/usr.sbin.inspircd
+	dh_apparmor --profile-name=usr.sbin.inspircd -pinspircd
+
 
 # debugging symbols package
 override_dh_strip:

=== debian/tests/control ===
Tests: start.sh client.pl
Depends: inspircd
Restrictions: needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/^(2\.1(?:fork|b[123]|a[12]))$/0.0.$1/ \
https://github.com/inspircd/inspircd/releases \
.*/archive/v(\d\S*)\.tar\.gz
